petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDrawTensorContour

PetscDraws a contour plot for a two-dimensional array that is stored as a PETSc vector.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawTensorContour(PetscDraw draw,int m,int n,const PetscReal xi[],const PetscReal yi[],PetscReal *v)

Collective on PetscDraw, but PetscDraw must be sequential Many br

### Input Parameters

| draw | - the draw context Many br
| m,n | - the global number of mesh points in the x and y directions Many br
| xi,yi | - the locations of the global mesh points (optional, use NULL Many brto indicate uniform spacing on [0,1]) Many br
| V | - the values Many br

### Options Database Keys

| -draw_x_shared_colormap | - Indicates use of private colormap Many br
| -draw_contour_grid | - PetscDraws grid contour Many br

Many br

### See Also

PetscDrawTensorContourPatch()

Level:intermediate
Location:src/sys/classes/draw/interface/dtri.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages